<div class="card">
    <h3>Listado de servicios</h3>
  <div class="card-body">
   <div >
        <form [formGroup]="filtroCategorias">
            <div class= "row">
                <label>Buscar por categoria:</label>
                <span>
                    <select class="form-select" id="listacategorias" aria-label=".form-select-lg example" formControlName="categoriaseleccionada" (change)="obtenerServiciosPorCategoria($event)"> 
                        <option value="0" selected >Todas las categorias</option>
                        <option *ngFor="let catalogo of catalogos" value={{catalogo.codCatalogo}} >{{catalogo.categoria}}</option>
                    </select>
                </span>
            </div>
        </form>
    <div>
    <table class="table">
        <thead>
            <tr>
                <th scope="col">Titulo</th>
                <th scope="col">Descripcion</th>
                <th scope="col">Categoria</th>
                <th scope="col">Tipo</th>
                <th scope="col">Criticidad</th>
                <th scope="col">Prioridad</th>
                <th scope="col">Editar</th>
                <th scope="col">Eliminar</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let servicio of servicios | paginate:{itemsPerPage: 10, currentPage: page}">
                <td>{{servicio.titulo}}</td>
                <td>{{servicio.descripcion}}</td>
                <td>{{servicio.catalogo.categoria}}</td>
                 <td>{{servicio.tipo.nombre}}</td>
                <td>{{servicio.criticidad.nivelCriticidad}}</td>
                <td>{{servicio.prioridad.nivelPrioridad}}</td>
                <td>
                    <button type="button" class="btn btn-outline-primary" id="botonactualizar"
                     data-bs-toggle="modal" data-bs-target="#exampleModal" (click)="cargarValores(servicio.codServicio)">Editar</button>
                </td>
                <td>
                    <button type="button" class="btn btn-outline-danger" id="botoneliminar" (click)="showConfirmacion(servicio.codServicio)">Eliminar</button>
                </td>
            </tr>
        </tbody>
    </table>
    <pagination-controls (pageChange)="page = $event"></pagination-controls>
  </div>
</div>

    
<div class="d-grid gap-2 col-4 mx-auto">
    <!-- Button trigger modal -->
    <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
    Agregar servicio
    </button>
</div>



<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Servicios</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <form [formGroup]="form">
            <div class="row">
                <div class="form-floating mb-3">
                    <input type="text" class="form-control" id="titulo" placeholder="titulo" maxlength="30" formControlName="titulo" >
                    <label for="titulo">Titulo</label>
                </div>   
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="descripcion" placeholder="Descripcion" maxlength="100" formControlName="descripcion">
                        <label for="descripcion">Descripción</label>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-floating  mb-3">
                        <select class="form-select" id="catalogo"  aria-label="Floating label select example" formControlName="catalogo">
                            <option *ngFor="let catalogo of catalogos" value="{{catalogo.codCatalogo}}">{{catalogo.categoria}}</option>
                        </select>
                        <label for="catalogo">Catalogo</label>
                    </div>
                </div>
                <div class=" col-sm-6">
                    <div class="form-floating  mb-3">
                        <select class="form-select" id="tipo" aria-label="Floating label select example" formControlName="tipo">
                            <option *ngFor="let tipo of tipos" value="{{tipo.codTipo}}">{{tipo.nombre}}</option>
                        </select>
                        <label for="tipo">Tipo</label>
                    </div>    
                </div> 
                <p style="margin-left: 2%;"> </p> 
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-floating">
                        <select class="form-select" id="prioridad" aria-label="Floating label select example" formControlName="prioridad">
                            <option *ngFor="let prioridad of prioridades" value="{{prioridad.codPrioridad}}">{{prioridad.nivelPrioridad}}</option>
                        </select>
                        <label for="prioridad">Prioridad</label>
                    </div>
                </div>
                <div class=" col-sm-6">
                    <div class="form-floating">
                        <select class="form-select" id="criticidad" aria-label="Floating label select example" formControlName="criticidad">
                            <option *ngFor="let criticidad of criticidades" value="{{criticidad.codCriticidad}}">{{criticidad.nivelCriticidad}}</option>
                        </select>
                        <label for="criticidad">Criticidad</label>
                    </div>    
                </div> 
            </div>

        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-outline-danger" data-bs-dismiss="modal">Cancelar</button>
        <button type="button" class="btn btn-outline-primary" (click)="save($event)" [disabled]="!form.valid">Guardar cambios</button>
      </div>
    </div>
  </div>
</div>